import { ElementRef, InputSignal } from "@angular/core";
import { DomSanitizer } from "@angular/platform-browser";
import * as i0 from "@angular/core";
export interface CustomCodeProps {
    code: string;
    replaceNodes?: boolean;
}
export default class CustomCode {
    protected sanitizer: DomSanitizer;
    code: InputSignal<CustomCodeProps["code"]>;
    replaceNodes: InputSignal<CustomCodeProps["replaceNodes"]>;
    elementRef: import("@angular/core").Signal<ElementRef<any>>;
    scriptsInserted: import("@angular/core").WritableSignal<any[]>;
    scriptsRun: import("@angular/core").WritableSignal<any[]>;
    runScripts(): void;
    constructor(sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCode, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCode, "custom-code", never, { "code": { "alias": "code"; "required": false; "isSignal": true; }; "replaceNodes": { "alias": "replaceNodes"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
